BizKitHub
DocsAPI ReferenceBff/bff/ai/question
postBffAdmin BFF

/bff/ai/question

Ask AI a question and get a complete response

bffpostBffAiQuestion

Parameters

JSON body

Request body

application/json
questionstringRequired

The question or prompt to send to the AI model

Length: 1–20000
ExampleWhat is the capital of France?
model"gemini-flash-latest" | "gemini-2.5-flash-lite" | "gpt-5" | "gpt-4o" | "gpt-5-mini"Optional

Allowed AI model identifier. Defaults to gpt-5-mini.

Examplegpt-5-mini

Response schema

1 status code documented

200Success
answerstringRequired

The AI-generated response text

Response example

application/json
{
  "answer": "example_answer"
}

Request example

POST /bff/ai/question

post
curl -X POST "https://api.bizkithub.com/bff/ai/question" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "question": "What is the capital of France?",
  "model": "gpt-5-mini"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key